Bug 141571 - Base crashed on creation of user function
Summary: Base crashed on creation of user function
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
7.1.2.2 release
Hardware: All Linux (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0 target:7.1.4
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2021-04-08 18:25 UTC by Uwe Grasshoff
Modified: 2021-05-21 09:37 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["com::sun::star::reflection::theCoreReflection::get(com::sun::star::uno::Reference%3Ccom::sun::star::uno::XComponentContext%3E%20const%20&)"]


Attachments
Short animation what steps I do to crash Base (1.80 MB, image/gif)
2021-04-08 18:25 UTC, Uwe Grasshoff
Details
bt with debug symbols (6.04 KB, text/plain)
2021-04-08 21:40 UTC, Julien Nabet
Details
output from asan (8.53 KB, text/plain)
2021-04-14 12:10 UTC, Noel Grandin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Uwe Grasshoff 2021-04-08 18:25:54 UTC
Created attachment 171038 [details]
Short animation what steps I do to crash Base

OS: Arch Linux (today fully updated)
Desktop environment: KDE


I installed Libre Office from the Arch User Repo (https://aur.archlinux.org/packages/libreoffice-fresh-rpm/)
So this simply installs the current rpm package on the system.

In my database I want to use a "user defined function" in the report. I open the "Report navigator" and right click on the "Functions" line in the navigator and select "New Function". The new function is getting inserted. But as soon as I select the new function Base crashes. I already tried it in an new and empty database. 

As soon as the KDE crash reporter finished collection data I can attach the report to this ticket if helpful
Comment 1 Julien Nabet 2021-04-08 21:40:06 UTC
Created attachment 171040 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 2 Julien Nabet 2021-04-09 07:35:30 UTC
After having spent more than 2 hours yesterday, I give up. I don't understand anything about idl/hpp, context and reflection mechanism.
=> uncc myself.
Comment 3 Uwe Grasshoff 2021-04-09 08:04:40 UTC
Tested on Windows 10 (1909) with Libre Office 7.1.2.2 (x64) it's also crashing
Comment 4 Xisco Faulí 2021-04-11 19:23:31 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=79c1d1234bdac0d41109930529f42d39c70b0f7b

author	Noel Grandin <noelgrandin@gmail.com>	2020-07-25 12:12:44 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2020-07-25 16:29:02 +0200
commit	79c1d1234bdac0d41109930529f42d39c70b0f7b (patch)
tree	9c0472b3dfb3e042cafc8a1329d2a64dbf5c2c9b
parent	0e1ea352a0b9063aa0b467c6ae279d0b9da51ab4 (diff)
reportdesign/core: create instances with uno constructors

Bisected with: bibisect-linux64-7.1

Adding Cc: to Noel Grandin
Comment 5 Noel Grandin 2021-04-14 12:10:15 UTC
Created attachment 171191 [details]
output from asan
Comment 6 Uwe Grasshoff 2021-05-03 17:22:26 UTC
Is there any timeline when this bug will be fixed?
Comment 7 Commit Notification 2021-05-13 20:19:44 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9ca8a4e229d270fe7ec16f3aa7b5cb2e1f8a522f

tdf#141571 Base crashed on creation of user function

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2021-05-14 09:19:29 UTC
I do verified the revert fixes the issue

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: b1099568ffe9ad199c3bf8f279bbac4d7ba445bb
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Noel, thanks for fixing this issue!!
Comment 9 Commit Notification 2021-05-14 09:20:21 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/b200460168e30bfe2ece67de99457b99b4c7fd7f

tdf#141571 Base crashed on creation of user function

It will be available in 7.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Uwe Grasshoff 2021-05-21 09:37:32 UTC
I tested LibreOfficeDev_7.1.5.0.0 and can confirm the bug is gone. Thanks all for the assistant and the bug fix.